package com.hand.hap.db.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.datasource.DriverManagerDataSource;


/**
 * @Description:
 * @Author: wty
 * @Date: Created in 15:19 2018/1/25
 */
class JdbcTemplateUtils {
    private static Logger logger = LoggerFactory.getLogger(JdbcTemplateUtils.class);
    private static JdbcTemplate jdbcTemplate;
    private volatile static JdbcTemplateUtils jdbcTemplateUtils;

    private JdbcTemplateUtils() {

    }

    public static JdbcTemplateUtils getInstance() {
        logger.info("===================== start init jdbcTemplateUtils ========================");
        if (jdbcTemplateUtils == null) {
            synchronized (JdbcTemplateUtils.class) {
                if (jdbcTemplateUtils == null) {
                    logger.info("===================== Create new jdbcTemplateUtils Start========================");
                    jdbcTemplateUtils = new JdbcTemplateUtils();
                    logger.info("===================== Create new jdbcTemplateUtils end========================");
                }
            }
        }
        return jdbcTemplateUtils;
    }

    public JdbcTemplate getJdbcTemplate() {
        String driver = System.getProperty("db.driver");
        String url = System.getProperty("db.url");
        String username = System.getProperty("db.user");
        String password = System.getProperty("db.password");
        if (driver != null && url != null && username != null && password != null) {
            logger.info("===================== jdbcTemplate  init ========================");
            logger.info("===================== jdbcTemplate  init ========================");
            logger.info("===================== db.driver " + driver + " ========================");
            logger.info("===================== db.url " + url + " ========================");
            logger.info("===================== db.user " + username + " ========================");
            logger.info("===================== db.password " + password + " ========================");
            if (jdbcTemplate == null) {
                logger.info("===================== Create new jdbcTemplate Start========================");
                jdbcTemplate = new JdbcTemplate();
                DriverManagerDataSource dataSource = new DriverManagerDataSource();
                dataSource.setDriverClassName(driver);
                dataSource.setUrl(url);
                dataSource.setUsername(username);
                dataSource.setPassword(password);
                jdbcTemplate.setDataSource(dataSource);
                logger.info("===================== Create new jdbcTemplate END========================");
            }
            return jdbcTemplate;
        } else {
            logger.info("===================== jdbcTemplate init error ========================");
            return null;
        }
    }
}
