package com.hand.hap.db.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.jdbc.core.JdbcTemplate;

/**
 * @Description:
 * @Author: wty
 * @Date: Created in 15:29 2018/1/29
 */
class SysFuncTemplateUtils {

    private String jdbcUrl = System.getProperty("db.url");

    private static Logger logger = LoggerFactory.getLogger(SysFuncTemplateUtils.class);

    private JdbcTemplate jdbcTemplate = null;

    private static SysFuncTemplateUtils sysFuncTemplateUtils;

    private SysFuncTemplateUtils () {
        JdbcTemplateUtils jdbcTemplateUtils = JdbcTemplateUtils.getInstance();
        this.jdbcTemplate = jdbcTemplateUtils.getJdbcTemplate();
    }

    public static SysFuncTemplateUtils getInstance() {
        logger.info("===================== start init SysFuncTemplateUtils ========================");
        if (sysFuncTemplateUtils == null) {
            synchronized (SysFuncTemplateUtils.class) {
                if (sysFuncTemplateUtils == null) {
                    logger.info("===================== Create new SysFuncTemplateUtils Start========================");
                    sysFuncTemplateUtils = new SysFuncTemplateUtils();
                    logger.info("===================== Create new SysFuncTemplateUtils end========================");
                }
            }
        }
        return sysFuncTemplateUtils;
    }

    public void moduleLoad(String moduleCode, String moduleSerialNumber, String moduleName, String moduleIcon, String homePageResourceUrl, String bgColor) {
        String headOfSql = "insert into sys_module";
        String columns = "(enabled_flag,";
        String values = " values ('Y',";
        if (moduleCode != null) {
            columns += "module_code,";
            values += "'" + moduleCode + "',";
        }
        if (moduleSerialNumber != null) {
            columns += "module_serial_number,";
            values += "'" + moduleSerialNumber + "',";
        }
        if (moduleName != null) {
            columns += "module_name,module_description,";
            values += "'" + moduleName + "'," + "'" + moduleName + "',";
        }
        if (moduleIcon != null) {
            columns += "module_icon,";
            values += "'" + moduleIcon + "',";
        }
        if (homePageResourceUrl != null) {
            columns += "homepage_resource_id,";
            String selectResourceid = "(select resource_id from sys_resource_b where url='"+ homePageResourceUrl +"')";
            values += selectResourceid + ",";
        }
        if (bgColor != null) {
            columns += "background_color,";
            values += "'" + bgColor + "',";
        }
        String sql = headOfSql + columns.substring(0, columns.length() - 1) + ")" +
                values.substring(0, values.length() - 1) + ")";
        jdbcTemplate.update(sql);
    }

    public void roleModuleLoad(String roleCode, String moduleCode, Integer sequence) {
        String selectRoleId = "(select srb.role_id from sys_role_b srb where srb.role_code = '" + roleCode + "')";
        String sql = "insert into sys_role_module (role_id,module_code,sequence,enabled_flag) values (" +
                selectRoleId + ",'" + moduleCode + "'," + sequence.toString() + ",'Y')";
        jdbcTemplate.update(sql);
    }

    public void funcLoad(String functionCode, String functionName,String resourceUrl,String functionIcon, String moduleCode, String functionType, Integer functionSequence, Integer width, Integer height) {
        String headOfSql = "insert into sys_function_b ";
        String columns = "(enabled_flag,";
        String values = " values ('Y',";
        if (jdbcUrl != null && jdbcUrl.startsWith("jdbc:oracle")) {
            columns = "(function_id,enabled_flag,";
            values = " values (sys_function_b_s.nextval,'Y',";
        } else if (jdbcUrl != null && jdbcUrl.startsWith("jdbc:mysql")) {
            columns = "(enabled_flag,";
            values = " values ('Y',";
        }
        if (functionCode != null) {
            columns += "function_code,";
            values += "'" + functionCode + "',";
        }
        if (functionName != null) {
            columns += "function_name,function_description,";
            values += "'" + functionName + "','" + functionName + "',";
        }
        if (resourceUrl != null) {
            String selectResourceId = "(select srb.resource_id from sys_resource_b srb where srb.url = '" +
                    resourceUrl + "')";
            columns += "resource_id,";
            values += selectResourceId + ",";
        }
        if (functionIcon != null) {
            columns += "function_icon,";
            values += "'" + functionIcon + "',";
        }
        if (moduleCode != null) {
            columns += "module_code,";
            values += "'" + moduleCode + "',";
        }
        if (functionType != null) {
            columns += "function_type,";
            values += "'" + functionType + "',";
        }
        if (functionSequence != null) {
            columns += "function_sequence,";
            values += functionSequence.toString() + ",";
        }
        if (width != null) {
            columns += "width,";
            values += width.toString() + ",";
        }
        if (height != null) {
            columns += "height,";
            values += height.toString() + ",";
        }
//        if (parentFunctionCode != null) {
//            columns += "parent_function_id,";
//            String selectParentFunctionId = "(select function_id from sys_function_b where function_code = '"+ parentFunctionCode +"')";
//            values += selectParentFunctionId + ",";
//        }
        String sql = headOfSql + columns.substring(0, columns.length() - 1) + ")" +
                values.substring(0, values.length() - 1) + ")";
        jdbcTemplate.update(sql);
    }


    public void funcResourcesLoad(String functionCode, String resourceUrl) {
        String selectResourceId = "(select srb.resource_id from sys_resource_b srb where srb.url = '" +
                resourceUrl + "')";
        String selectFunctionId = "(select sfb.function_id from sys_function_b sfb where sfb.function_code = '" +
                functionCode + "')";
        String sql = null;
        if (jdbcUrl != null && jdbcUrl.startsWith("jdbc:oracle")) {
            sql = "insert into sys_function_resource (func_src_id,function_id,resource_id) values (sys_function_resource_s.nextval ," +
                    selectFunctionId + "," + selectResourceId + ")";
        } else if (jdbcUrl != null && jdbcUrl.startsWith("jdbc:mysql")) {
            sql = "insert into sys_function_resource (function_id,resource_id) values (" +
                    selectFunctionId + "," + selectResourceId + ")";
        }
        jdbcTemplate.update(sql);
    }

    public void funcTlLoad(String functionCode, String tlName, String lang) {
        String selectFunctionId = "(select sfb.function_id from sys_function_b sfb where sfb.function_code = '" +
                functionCode + "')";
        String sql = "insert into sys_function_tl (function_id,lang,function_name,function_description) values (" +
                selectFunctionId + ",'" + lang + "','" + tlName + "','" + tlName + "')";
        jdbcTemplate.update(sql);
    }

    public void resourceLoad(String url, String type, String name, String loginRequire, String accessCheck) {
        String sql = null;
        if (jdbcUrl != null && jdbcUrl.startsWith("jdbc:oracle")) {
            sql = "insert into sys_resource_b (resource_id,url,type,name,description,login_require,access_check) values (sys_resource_b_s.nextval,'" +
                    url + "','" + type + "','" + name + "','" + name + "','"+ loginRequire +"','"+ accessCheck +"')";
        } else if (jdbcUrl != null && jdbcUrl.startsWith("jdbc:mysql")) {
            sql = "insert into sys_resource_b (url,type,name,description,login_require,access_check) values ('" +
                    url + "','" + type + "','" + name + "','" + name + "','"+ loginRequire +"','"+ accessCheck +"')";
        }
        jdbcTemplate.update(sql);
    }

    public void resourceTlLoad(String url, String tlName, String lang) {
        String selectResourceId = "(select srb.resource_id from sys_resource_b srb where srb.url = '" +
                url + "')";
        String sql = "insert into sys_resource_tl (resource_id,lang,name,description) values (" +
                selectResourceId + ",'" + lang + "','" + tlName + "','" + tlName + "')";
        jdbcTemplate.update(sql);
    }

    public void deleteSysFunction(String functionCode) {
        String selectFunctionId = "(select sfb.function_id from sys_function_b sfb where sfb.function_code = '" + functionCode + "')";
/*
        String deleteSysRoleFunctionSql = "delete from sys_role_function where function_id = " + selectFunctionId ;
*/
        String deleteSysFuncResourceSql = "delete from sys_function_resource where function_id = " + selectFunctionId ;
        String deleteSysFunctionTlSql = "delete from sys_function_tl where function_id = " + selectFunctionId ;
        String deleteSysFunctionSql = "delete from sys_function_b where function_code = '" + functionCode + "'";
        /*jdbcTemplate.update(deleteSysRoleFunctionSql);*/
        jdbcTemplate.update(deleteSysFuncResourceSql);
        jdbcTemplate.update(deleteSysFunctionTlSql);
        jdbcTemplate.update(deleteSysFunctionSql);
    }

    public void deleteSysResource(String url) {
        String selectResourceId = "(select srb.resource_id from sys_resource_b srb where srb.url = '" + url + "')";
        String deleteResourceTlSql = "delete from sys_resource_tl where resource_id = " + selectResourceId ;
        String deleteResourceSql = "delete from sys_resource_b where url = '" + url + "'";
        jdbcTemplate.update(deleteResourceTlSql);
        jdbcTemplate.update(deleteResourceSql);
    }


}

