package hls.core.db

import com.hand.hap.db.excel.ExcelDataLoader
import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()
dbType = mhi.dbType()

databaseChangeLog(logicalFilePath: "hls/core/db/2017-06-27-init-data.groovy"){
    changeSet(author: "jessen", id: "20160930-init-data-xlsx", runAlways:"true"){
        customChange(class:ExcelDataLoader.class.name){
            param(name:"filePath",value:MigrationHelper.getInstance().dataPath("hls/core/db/data/2017-09-18-init-data.xlsx"))
        }
    }
} /*{

    changeSet(author: "hand", id: "20170627-hand-hel-data-csh-csh_bank") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/csh/csh_bank.sql"), encoding: "UTF-8")
    }

    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_base_rate") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_base_rate.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_base_rate_set") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_base_rate_set.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_city") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_city.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_coding_rules") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_coding_rules.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_coding_rule_details") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_coding_rule_details.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_coding_rule_values") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_coding_rule_values.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_company") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_company.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_currency") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_currency.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_district") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_district.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_employee") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_employee.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_employee_assigns") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_employee_assigns.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_org_position") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_org_position.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_org_unit") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_org_unit.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_province") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_province.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_score_target_values") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_score_target_values.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_score_template_db_source") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_score_template_db_source.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_score_template_hd") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_score_template_hd.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_score_template_hd_value") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_score_template_hd_value.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_score_template_ln") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_score_template_ln.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_score_template_ln_value") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_score_template_ln_value.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_score_template_type") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_score_template_type.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_tax_type_code") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_tax_type_code.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_uom_code") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_uom_code.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-fnd-fnd_uom_type") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/fnd/fnd_uom_type.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-act_ge_property") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/act_ge_property.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-fnd_company_b") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/fnd_company_b.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-hr_org_position_b") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/hr_org_position_b.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-hr_org_position_tl") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/hr_org_position_tl.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-hr_org_unit_b") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/hr_org_unit_b.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-hr_org_unit_tl") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/hr_org_unit_tl.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-qrtz_job_details") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/qrtz_job_details.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-qrtz_triggers") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/qrtz_triggers.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-qrtz_simple_triggers") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/qrtz_simple_triggers.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_attach_category_b") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_attach_category_b.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_attach_category_tl") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_attach_category_tl.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_code_b") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_code_b.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_code_tl") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_code_tl.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_code_value_b") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_code_value_b.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_code_value_tl") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_code_value_tl.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_config") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_config.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_dashboard_b") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_dashboard_b.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_dashboard_tl") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_dashboard_tl.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_function_b") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_function_b.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_function_resource") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_function_resource.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_function_tl") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_function_tl.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_lang_b") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_lang_b.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_lov") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_lov.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_lov_item") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_lov_item.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_message_email_account") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_message_email_account.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_message_email_config") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_message_email_config.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_message_template") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_message_template.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_oauth_client_details") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_oauth_client_details.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_preferences") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_preferences.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_prompts") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_prompts.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_resource_b") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_resource_b.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_resource_tl") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_resource_tl.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_role_b") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_role_b.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_role_function") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_role_function.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_role_tl") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_role_tl.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_user") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_user.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_user_dashboard") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_user_dashboard.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-sys_user_role") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/sys_user_role.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-wfl_approve_candidate_rule") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/wfl_approve_candidate_rule.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-wfl_approve_chain_header") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/wfl_approve_chain_header.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-wfl_approve_chain_line") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/wfl_approve_chain_line.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-wfl_approve_strategy") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/wfl_approve_strategy.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-wfl_business_rule_header") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/wfl_business_rule_header.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hap-wfl_business_rule_line") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hap/wfl_business_rule_line.sql"), encoding: "UTF-8")
    }

    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_bp_category") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_bp_category.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_bp_relation") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_bp_relation.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_bp_type") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_bp_type.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_business_type") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_business_type.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_cashflow_item") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_cashflow_item.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_cashflow_type") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_cashflow_type.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_contact") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_contact.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_con_file_templet") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_con_file_templet.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_db_data_source") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_db_data_source.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_db_data_source_column") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_db_data_source_column.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_db_data_source_para") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_db_data_source_para.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_db_data_source_tb") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_db_data_source_tb.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_debt_deduction_bank") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_debt_deduction_bank.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_debt_deduction_header") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_debt_deduction_header.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_debt_deduction_line") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_debt_deduction_line.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_division") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_division.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_document_category") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_document_category.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_document_status") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_document_status.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_document_type") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_document_type.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_document_version") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_document_version.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_doc_authority") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_doc_authority.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_fin_calc_config") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_fin_calc_config.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_lease_channel") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_lease_channel.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_penalty_profile") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_penalty_profile.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_price_list") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_price_list.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_price_list_config_hd") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_price_list_config_hd.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_price_list_config_ln") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_price_list_config_ln.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_rabbit_exchange") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_rabbit_exchange.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_rabbit_exchange_queue") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_rabbit_exchange_queue.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_rule_engine") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_rule_engine.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_rule_engine_condition") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_rule_engine_condition.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_rule_engine_data") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_rule_engine_data.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_rule_engine_route") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_rule_engine_route.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_rule_engine_route_result") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_rule_engine_route_result.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_score_target") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_score_target.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_system_event_master") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_system_event_master.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_user_relationship") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_user_relationship.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-hls-hls_user_relationship_b") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/hls/hls_user_relationship_b.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-prj-prj_meeting_judge") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/prj/prj_meeting_judge.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-sys-sys_function") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/sys/sys_function.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-sys-sys_module") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/sys/sys_module.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-sys-sys_role") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/sys/sys_role.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-sys-sys_role_module") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/sys/sys_role_module.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-sys-sys_user_allocation") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/sys/sys_user_allocation.sql"), encoding: "UTF-8")
    }
    changeSet(author: "hand", id: "20170627-hand-hel-data-sys-sys_user_authority_rule") {
        sqlFile(path: MigrationHelper.getInstance().dataPath("hls/core/db/data/" + dbType + "/init/sys/sys_user_authority_rule.sql"), encoding: "UTF-8")
    }
}*/
