package hls.core.db

import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()
dbType = mhi.dbType()
databaseChangeLog(logicalFilePath: "2017-09-27-init-table-migration.groovy") {
    changeSet(author: "neil", id: "-CSH_TRANSACTION_RELATION") {
        createTable(tableName: "CSH_TRANSACTION_RELATION", remarks: "现金事务关联表") {
            column(name: "trx_relation_id", type: "bigint(20)", remarks: "关联ID", autoIncrement: "true", startWith: "10001") {
                constraints(nullable: "false", primaryKey: "true", primaryKeyName: "CSH_TRANSACTION_RELATION_PK")
            }
            column(name: "transaction_id", type: "bigint(20)", remarks: "现金事务ID") { constraints(nullable: "false") }
            column(name: "relation_doc_category", type: "varchar(100)", remarks: "关联单据类别")
            column(name: "relation_doc_id", type: "double(20)", remarks: "关联单据ID")
            column(name: "relation_date", type: "datetime", remarks: "关联日期")
            column(name: "description", type: "varchar(1000)", remarks: "说明")
            column(name: "OBJECT_VERSION_NUMBER", type: "BIGINT", defaultValue: "1")
            column(name: "REQUEST_ID", type: "BIGINT", defaultValue: "-1")
            column(name: "PROGRAM_ID", type: "BIGINT", defaultValue: "-1")
            column(name: "CREATED_BY", type: "BIGINT", defaultValue: "-1")
            column(name: "CREATION_DATE", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "LAST_UPDATED_BY", type: "BIGINT", defaultValue: "-1")
            column(name: "LAST_UPDATE_DATE", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "LAST_UPDATE_LOGIN", type: "BIGINT", defaultValue: "-1")
        }

        createIndex(tableName: "CSH_TRANSACTION_RELATION", indexName: "CSH_TRANSACTION_RELATION_N1") {
            column(name: "transaction_id", type: "bigint(20)")
        }
        createIndex(tableName: "CSH_TRANSACTION_RELATION", indexName: "CSH_TRANSACTION_RELATION_N2") {
            column(name: "relation_doc_category", type: "varchar(100)")
            column(name: "relation_doc_id", type: "double(20)")
        }
        createIndex(tableName: "CSH_TRANSACTION_RELATION", indexName: "CSH_TRANSACTION_RELATION_N3") {
            column(name: "relation_date", type: "datetime")
        }
    }
}