package hls.core.db

import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()

databaseChangeLog(logicalFilePath: "hls/core/db/2017-10-18-patch.groovy") {
    changeSet(author: "fjm", id: "20171018-fjm-1") {
        renameColumn(tableName: "GLD_CONTRACT_FINANCE_INCOME", oldColumnName: "CASHFLOW_ID", newColumnName: "GLD_CASHFLOW_ID", columnDataType: "bigint", remarks: "租赁合同现金流ID")
    }
    changeSet(author: "fjm", id: "20171018-fjm-2") {
        renameColumn(tableName: "GLD_CONTRACT_CASHFLOW", oldColumnName: "CASHFLOW_ID", newColumnName: "GLD_CASHFLOW_ID", columnDataType: "bigint", remarks: "租赁合同现金流ID")
        addAutoIncrement(columnDataType:"BIGINT", columnName:"GLD_CASHFLOW_ID",tableName:"GLD_CONTRACT_CASHFLOW")
        addColumn(tableName: "GLD_CONTRACT_CASHFLOW") {
            column(name: "CASHFLOW_ID", type: "bigint", remarks: "现金流ID")
        }
    }
}