package hls.core.db

import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()
dbType = mhi.dbType()
databaseChangeLog(logicalFilePath: "2017-10-19-init-table-migration.groovy") {
    changeSet(author: "neil", id: "-HLS_DOCUMENT_VERSION_REL") {
        createTable(tableName: "HLS_DOCUMENT_VERSION_REL", remarks: "单据历史_主键关系表") {
            column(name: "version_id", type: "bigint(20)", remarks: "历史版本ID") { constraints(nullable: "false") }
            column(name: "version_rel_id", type: "bigint(20)", remarks: "历史版本主键关联ID", autoIncrement: "true", startWith: "10001") {
                constraints(nullable: "false", primaryKey: "true", primaryKeyName: "HLS_DOCUMENT_VERSION_REL_PK")
            }
            column(name: "from_table", type: "varchar(100)", remarks: "原_表名")
            column(name: "from_pk", type: "bigint(20)", remarks: "原_主键")
            column(name: "to_table", type: "varchar(100)", remarks: "新_表名")
            column(name: "to_pk", type: "bigint(20)", remarks: "新_主键")
            column(name: "OBJECT_VERSION_NUMBER", type: "BIGINT", defaultValue: "1")
            column(name: "REQUEST_ID", type: "BIGINT", defaultValue: "-1")
            column(name: "PROGRAM_ID", type: "BIGINT", defaultValue: "-1")
            column(name: "CREATED_BY", type: "BIGINT", defaultValue: "-1")
            column(name: "CREATION_DATE", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "LAST_UPDATED_BY", type: "BIGINT", defaultValue: "-1")
            column(name: "LAST_UPDATE_DATE", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "LAST_UPDATE_LOGIN", type: "BIGINT", defaultValue: "-1")
        }

        addUniqueConstraint(tableName: "HLS_DOCUMENT_VERSION_REL", columnNames: "version_id,from_table,from_pk", constraintName: "HLS_DOCUMENT_VERSION_REL_U1")
        addUniqueConstraint(tableName: "HLS_DOCUMENT_VERSION_REL", columnNames: "version_id,to_table,to_pk", constraintName: "HLS_DOCUMENT_VERSION_REL_U2")

    }
}