package hls.core.db

import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()

databaseChangeLog(logicalFilePath: "hls/core/db/2017-11-20-patch.groovy") {
    changeSet(author: "zy", id: "-SYS_LAYOUT_MODULE") {
        createTable(tableName: "SYS_LAYOUT_MODULE", remarks: "模块级页面布局") {
            column(name: "module_code", type: "varchar(100)", remarks: "模块code") {
                constraints(nullable: "false", primaryKey: "true", primaryKeyName: "SYS_LAYOUT_MODULE_PK")
            }
            column(name: "layout_code", type: "varchar(100)", remarks: "页面布局code") { constraints(nullable: "false") }
            column(name: "OBJECT_VERSION_NUMBER", type: "BIGINT", defaultValue: "1")
            column(name: "REQUEST_ID", type: "BIGINT", defaultValue: "-1")
            column(name: "PROGRAM_ID", type: "BIGINT", defaultValue: "-1")
            column(name: "CREATED_BY", type: "BIGINT", defaultValue: "-1")
            column(name: "CREATION_DATE", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "LAST_UPDATED_BY", type: "BIGINT", defaultValue: "-1")
            column(name: "LAST_UPDATE_DATE", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "LAST_UPDATE_LOGIN", type: "BIGINT", defaultValue: "-1")
        }
    }
}



