package hls.core.db

/**
 * Created with IntelliJ IDEA.
 * User: yang
 * Date: 2017-11-30
 * Time: 13:37
 */

import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()
dbType = mhi.dbType()
databaseChangeLog(logicalFilePath: "2017-09-20-init-table-migration.groovy") {

    changeSet(author: "neil", id: "-SYS_USER_AUTHORITY_TRX") {
        createTable(tableName: "SYS_USER_AUTHORITY_TRX", remarks: "用户单据授权表") {
            column(name: "authority_trx_id", type: "bigint(20)", remarks: "授权明细ID", autoIncrement: "true", startWith: "10001") {
                constraints(nullable: "false", primaryKey: "true", primaryKeyName: "SYS_USER_AUTHORITY_TRX_PK")
            }
            column(name: "document_category", type: "varchar(100)", remarks: "授权单据类别") {
                constraints(nullable: "false")
            }
            column(name: "document_id", type: "bigint(20)", remarks: "授权单据id") { constraints(nullable: "false") }
            column(name: "user_id", type: "bigint(20)", remarks: "授权用户id") { constraints(nullable: "false") }
            column(name: "authority_source_type", type: "varchar(100)", remarks: "授权来源类型")
            column(name: "authority_source_id", type: "bigint(20)", remarks: "授权来源id")
            column(name: "OBJECT_VERSION_NUMBER", type: "BIGINT", defaultValue: "1")
            column(name: "REQUEST_ID", type: "BIGINT", defaultValue: "-1")
            column(name: "PROGRAM_ID", type: "BIGINT", defaultValue: "-1")
            column(name: "CREATED_BY", type: "BIGINT", defaultValue: "-1")
            column(name: "CREATION_DATE", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "LAST_UPDATED_BY", type: "BIGINT", defaultValue: "-1")
            column(name: "LAST_UPDATE_DATE", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "LAST_UPDATE_LOGIN", type: "BIGINT", defaultValue: "-1")
        }
        addUniqueConstraint(tableName: "SYS_USER_AUTHORITY_TRX", columnNames: "document_category,document_id,user_id", constraintName: "SYS_USER_AUTHORITY_TRX_U1")

        createIndex(tableName: "SYS_USER_AUTHORITY_TRX", indexName: "SYS_USER_AUTHORITY_TRX_N1") {
            column(name: "authority_source_type", type: "varchar(100)")
            column(name: "authority_source_id", type: "bigint(20)")
        }
    }

}