package hls.core.db

import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()
dbType = mhi.dbType()
databaseChangeLog(logicalFilePath: "2018-01-03-init-table-migration.groovy") {
    changeSet(author: "liguangjun", id: "20180103-hls_price_list_config_bt") {

        if (mhi.isDbType('oracle')) {
            createSequence(sequenceName: 'HLS_PRICE_LIST_CONFIG_BT_S')
        }
        createTable(tableName: "hls_price_list_config_bt") {
            column(autoIncrement: "true", name: "CONFIG_BT_ID", type: "BIGINT", remarks: "配置按钮ID") {
                constraints(nullable: "false", primaryKey: "true", primaryKeyName: "CONFIG_BT_PK")
            }
            column(name: "PRICE_LIST", type: "VARCHAR(100)", remarks: "价目表ID")
            column(name: 'CONFIG_HD_ID', type: "BIGINT", remarks: '配置头ID')
            column(name: 'BUTTON_TYPE', type: "VARCHAR(100)", remarks: '按钮类型')
            column(name: 'BUTTON_NAME', type: "VARCHAR(100)", remarks: '按钮名称')
            column(name: 'TARGET_COLUMN_CODE', type: 'VARCHAR(100)', remarks: '目标单元格')
            column(name: 'TARGET_COLUMN_VALUE', type: 'double(20,2)', remarks: '目标值')
            column(name: 'VARIABLE_COLUMN_CODE', type: 'VARCHAR(100)', remarks: '可变单元格')
            column(name: "GUESS_VALUE", type: "bigint(100)", remarks: "猜测值")
            column(name: "object_version_number", type: "BIGINT", defaultValue: "1")
            column(name: "request_id", type: "BIGINT", defaultValue: "-1")
            column(name: "program_id", type: "BIGINT", defaultValue: "-1")
            column(name: "created_by", type: "BIGINT", defaultValue: "-1")
            column(name: "creation_date", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "last_updated_by", type: "BIGINT", defaultValue: "-1")
            column(name: "last_update_date", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "last_update_login", type: "BIGINT", defaultValue: "-1")

        }
    }

}