

import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()
dbType = mhi.dbType()
databaseChangeLog(logicalFilePath: "2018-01-07-init-table-migration.groovy") {


    changeSet(author: "zy", id: "-FND_COMPANY_ATTRIBUTE") {
        createTable(tableName: "FND_COMPANY_ATTRIBUTE", remarks: "公司基础属性") {
            column(name: "company_id", type: "bigint(20)", remarks: "公司id") {
                constraints(nullable: "false", primaryKey: "true", primaryKeyName: "FND_COMPANY_ATTRIBUTE_PK")
            }
            column(name: "authority_rule_flag", type: "varchar(1)", remarks: "数据权限启用标志")
            column(name: "OBJECT_VERSION_NUMBER", type: "BIGINT", defaultValue: "1")
            column(name: "REQUEST_ID", type: "BIGINT", defaultValue: "-1")
            column(name: "PROGRAM_ID", type: "BIGINT", defaultValue: "-1")
            column(name: "CREATED_BY", type: "BIGINT", defaultValue: "-1")
            column(name: "CREATION_DATE", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "LAST_UPDATED_BY", type: "BIGINT", defaultValue: "-1")
            column(name: "LAST_UPDATE_DATE", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "LAST_UPDATE_LOGIN", type: "BIGINT", defaultValue: "-1")
        }
    }
}

