package hls.core.db


import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()
dbType = mhi.dbType()
databaseChangeLog(logicalFilePath: "2018-01-07-init-table-migration.groovy") {

    changeSet(author: "neil", id: "-HLS_SYSTEM_NOTICE_FILTER") {
        createTable(tableName: "HLS_SYSTEM_NOTICE_FILTER", remarks: "消息免打扰设置") {
            column(name: "user_id", type: "bigint(20)", remarks: "用户id") {
                constraints(nullable: "false", primaryKey: "true", primaryKeyName: "HLS_SYSTEM_NOTICE_FILTER_PK")
            }
            column(name: "event_code", type: "varchar(100)", remarks: "事件代码") {
                constraints(nullable: "false", primaryKey: "true", primaryKeyName: "HLS_SYSTEM_NOTICE_FILTER_PK")
            }
            column(name: "filter_flag", type: "varchar(1)", remarks: "是否过滤标志（Y：免打扰）")
            column(name: "OBJECT_VERSION_NUMBER", type: "BIGINT", defaultValue: "1")
            column(name: "REQUEST_ID", type: "BIGINT", defaultValue: "-1")
            column(name: "PROGRAM_ID", type: "BIGINT", defaultValue: "-1")
            column(name: "CREATED_BY", type: "BIGINT", defaultValue: "-1")
            column(name: "CREATION_DATE", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "LAST_UPDATED_BY", type: "BIGINT", defaultValue: "-1")
            column(name: "LAST_UPDATE_DATE", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "LAST_UPDATE_LOGIN", type: "BIGINT", defaultValue: "-1")
        }
    }
}

