package hls.core.db

import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()

databaseChangeLog(logicalFilePath: "hls/core/db/2017-11-28-patch.groovy") {
    changeSet(author: "syj", id: "20180111-syj-1") {
        addColumn(tableName: "con_debt_exemption_req_cf") {
            column(name: "withdraw_id", type: "bigint", remarks: "提款ID")
        }
        addColumn(tableName: "con_debt_exemption_req_cf") {
            column(name: "withdraw_cf_id", type: "bigint", remarks: "提款现金流ID")
        }
       /* addColumn(tableName: "fct_contract_withdraw_cf") {
            column(name: "generated_source_doc_id", type: "bigint", remarks: "")
        }
        addColumn(tableName: "fct_contract_withdraw_cf") {
            column(name: "generated_source", type: "varchar(100)", remarks: "")
        }
        addColumn(tableName: "fct_contract_withdraw_cf") {
            column(name: "overdue_status", type: "varchar(30)", remarks: "")
        }*/
        addColumn(tableName: "prj_quotation") {
            column(name: "floating_way", type: "varchar(100)", remarks: "浮动方式(上浮/上调)")
        }
        addColumn(tableName: "prj_quotation") {
            column(name: "floating_way_range", type: "double", remarks: "浮动幅度")
        }
        addColumn(tableName: "con_contract") {
            column(name: "floating_way", type: "varchar(100)", remarks: "浮动方式(上浮/上调)")
        }
        addColumn(tableName: "con_contract") {
            column(name: "floating_way_range", type: "double", remarks: "浮动幅度")
        }
        addUniqueConstraint(tableName: "JOB_SCHEDULE", columnNames: "short_desc", constraintName: "JOB_SCHEDULE_U1")
    }
/*
    changeSet(author: "jianglei", id: "20180111-jianglei-1"){
        addUniqueConstraint(tableName:"HLS_FIN_STATEMENT_TMPLT_HD",columnNames:"company_id, fin_statement_templet_code", constraintName:"HLS_FIN_STATEMENT_TMPLT_HD_U1")
    }*/

}