create table ACT_GE_PROPERTY (
    NAME_ VARCHAR2(64),
    VALUE_ VARCHAR2(300),
    REV_ INTEGER,
    primary key (NAME_)
);

insert into ACT_GE_PROPERTY
values ('schema.version', '6.0.0.3', 1);

insert into ACT_GE_PROPERTY
values ('schema.history', 'create(6.0.0.3)', 1);

insert into ACT_GE_PROPERTY
values ('next.dbid', '1', 1);

create table ACT_GE_BYTEARRAY (
    ID_ VARCHAR2(64),
    REV_ INTEGER,
    NAME_ VARCHAR2(255),
    DEPLOYMENT_ID_ VARCHAR2(64),
    BYTES_ BLOB,
    GENERATED_ NUMBER(1,0),
    primary key (ID_)
);

create table ACT_RE_DEPLOYMENT (
    ID_ VARCHAR2(64),
    NAME_ VARCHAR2(255),
    CATEGORY_ VARCHAR2(255),
    KEY_ VARCHAR2(255),
    TENANT_ID_ VARCHAR2(255) DEFAULT '',
    DEPLOY_TIME_ TIMESTAMP,
    ENGINE_VERSION_ VARCHAR2(255),
    primary key (ID_)
);

create table ACT_RE_MODEL (
    ID_ VARCHAR2(64) not null,
    REV_ INTEGER,
    NAME_ VARCHAR2(255),
    KEY_ VARCHAR2(255),
    CATEGORY_ VARCHAR2(255),
    CREATE_TIME_ TIMESTAMP,
    LAST_UPDATE_TIME_ TIMESTAMP,
    VERSION_ INTEGER,
    META_INFO_ VARCHAR2(2000),
    DEPLOYMENT_ID_ VARCHAR2(64),
    EDITOR_SOURCE_VALUE_ID_ VARCHAR2(64),
    EDITOR_SOURCE_EXTRA_VALUE_ID_ VARCHAR2(64),
    TENANT_ID_ VARCHAR2(255) DEFAULT '',
    primary key (ID_)
);

create table ACT_RU_EXECUTION (
    ID_ VARCHAR2(64),
    REV_ INTEGER,
    PROC_INST_ID_ VARCHAR2(64),
    BUSINESS_KEY_ VARCHAR2(255),
    PARENT_ID_ VARCHAR2(64),
    PROC_DEF_ID_ VARCHAR2(64),
    SUPER_EXEC_ VARCHAR2(64),
    ROOT_PROC_INST_ID_ VARCHAR2(64),
    ACT_ID_ VARCHAR2(255),
    IS_ACTIVE_ NUMBER(1,0),
    IS_CONCURRENT_ NUMBER(1,0),
    IS_SCOPE_ NUMBER(1,0),
    IS_EVENT_SCOPE_ NUMBER(1,0),
    IS_MI_ROOT_ NUMBER(1,0),
    SUSPENSION_STATE_ INTEGER,
    CACHED_ENT_STATE_ INTEGER,
    TENANT_ID_ VARCHAR2(255) DEFAULT '',
    NAME_ VARCHAR2(255),
    START_TIME_ TIMESTAMP,
    START_USER_ID_ VARCHAR2(255),
    LOCK_TIME_ TIMESTAMP,
    IS_COUNT_ENABLED_ NUMBER(1,0),
    EVT_SUBSCR_COUNT_ INTEGER, 
    TASK_COUNT_ INTEGER, 
    JOB_COUNT_ INTEGER, 
    TIMER_JOB_COUNT_ INTEGER,
    SUSP_JOB_COUNT_ INTEGER,
    DEADLETTER_JOB_COUNT_ INTEGER,
    VAR_COUNT_ INTEGER, 
    ID_LINK_COUNT_ INTEGER,
    primary key (ID_)
);

create table ACT_RU_JOB (
    ID_ VARCHAR2(64) NOT NULL,
    REV_ INTEGER,
    TYPE_ VARCHAR2(255) NOT NULL,
    LOCK_EXP_TIME_ TIMESTAMP,
    LOCK_OWNER_ VARCHAR2(255),
    EXCLUSIVE_ NUMBER(1,0),
    EXECUTION_ID_ VARCHAR2(64),
    PROCESS_INSTANCE_ID_ VARCHAR2(64),
    PROC_DEF_ID_ VARCHAR2(64),
    RETRIES_ INTEGER,
    EXCEPTION_STACK_ID_ VARCHAR2(64),
    EXCEPTION_MSG_ VARCHAR2(2000),
    DUEDATE_ TIMESTAMP,
    REPEAT_ VARCHAR2(255),
    HANDLER_TYPE_ VARCHAR2(255),
    HANDLER_CFG_ VARCHAR2(2000),
    TENANT_ID_ VARCHAR2(255) DEFAULT '',
    primary key (ID_)
);

create table ACT_RU_TIMER_JOB (
    ID_ VARCHAR2(64) NOT NULL,
    REV_ INTEGER,
    TYPE_ VARCHAR2(255) NOT NULL,
    LOCK_EXP_TIME_ TIMESTAMP,
    LOCK_OWNER_ VARCHAR2(255),
    EXCLUSIVE_ NUMBER(1,0),
    EXECUTION_ID_ VARCHAR2(64),
    PROCESS_INSTANCE_ID_ VARCHAR2(64),
    PROC_DEF_ID_ VARCHAR2(64),
    RETRIES_ INTEGER,
    EXCEPTION_STACK_ID_ VARCHAR2(64),
    EXCEPTION_MSG_ VARCHAR2(2000),
    DUEDATE_ TIMESTAMP,
    REPEAT_ VARCHAR2(255),
    HANDLER_TYPE_ VARCHAR2(255),
    HANDLER_CFG_ VARCHAR2(2000),
    TENANT_ID_ VARCHAR2(255) DEFAULT '',
    primary key (ID_)
);

create table ACT_RU_SUSPENDED_JOB (
    ID_ VARCHAR2(64) NOT NULL,
    REV_ INTEGER,
    TYPE_ VARCHAR2(255) NOT NULL,
    EXCLUSIVE_ NUMBER(1,0),
    EXECUTION_ID_ VARCHAR2(64),
    PROCESS_INSTANCE_ID_ VARCHAR2(64),
    PROC_DEF_ID_ VARCHAR2(64),
    RETRIES_ INTEGER,
    EXCEPTION_STACK_ID_ VARCHAR2(64),
    EXCEPTION_MSG_ VARCHAR2(2000),
    DUEDATE_ TIMESTAMP,
    REPEAT_ VARCHAR2(255),
    HANDLER_TYPE_ VARCHAR2(255),
    HANDLER_CFG_ VARCHAR2(2000),
    TENANT_ID_ VARCHAR2(255) DEFAULT '',
    primary key (ID_)
);

create table ACT_RU_DEADLETTER_JOB (
    ID_ VARCHAR2(64) NOT NULL,
    REV_ INTEGER,
    TYPE_ VARCHAR2(255) NOT NULL,
    EXCLUSIVE_ NUMBER(1,0),
    EXECUTION_ID_ VARCHAR2(64),
    PROCESS_INSTANCE_ID_ VARCHAR2(64),
    PROC_DEF_ID_ VARCHAR2(64),
    EXCEPTION_STACK_ID_ VARCHAR2(64),
    EXCEPTION_MSG_ VARCHAR2(2000),
    DUEDATE_ TIMESTAMP,
    REPEAT_ VARCHAR2(255),
    HANDLER_TYPE_ VARCHAR2(255),
    HANDLER_CFG_ VARCHAR2(2000),
    TENANT_ID_ VARCHAR2(255) DEFAULT '',
    primary key (ID_)
);

create table ACT_RE_PROCDEF (
    ID_ VARCHAR2(64) NOT NULL,
    REV_ INTEGER,
    CATEGORY_ VARCHAR2(255),
    NAME_ VARCHAR2(255),
    KEY_ VARCHAR2(255) NOT NULL,
    VERSION_ INTEGER NOT NULL,
    DEPLOYMENT_ID_ VARCHAR2(64),
    RESOURCE_NAME_ VARCHAR2(2000),
    DGRM_RESOURCE_NAME_ varchar(4000),
    DESCRIPTION_ VARCHAR2(2000),
    HAS_START_FORM_KEY_ NUMBER(1,0),
    HAS_GRAPHICAL_NOTATION_ NUMBER(1,0),
    SUSPENSION_STATE_ INTEGER,
    TENANT_ID_ VARCHAR2(255) DEFAULT '',
    ENGINE_VERSION_ VARCHAR2(255),
    primary key (ID_)
);

create table ACT_RU_TASK (
    ID_ VARCHAR2(64),
    REV_ INTEGER,
    EXECUTION_ID_ VARCHAR2(64),
    PROC_INST_ID_ VARCHAR2(64),
    PROC_DEF_ID_ VARCHAR2(64),
    NAME_ VARCHAR2(255),
    PARENT_TASK_ID_ VARCHAR2(64),
    DESCRIPTION_ VARCHAR2(2000),
    TASK_DEF_KEY_ VARCHAR2(255),
    OWNER_ VARCHAR2(255),
    ASSIGNEE_ VARCHAR2(255),
    DELEGATION_ VARCHAR2(64),
    PRIORITY_ INTEGER,
    CREATE_TIME_ TIMESTAMP,
    DUE_DATE_ TIMESTAMP,
    CATEGORY_ VARCHAR2(255),
    SUSPENSION_STATE_ INTEGER,
    TENANT_ID_ VARCHAR2(255) DEFAULT '',
    FORM_KEY_ VARCHAR2(255),
    CLAIM_TIME_ TIMESTAMP,
    primary key (ID_)
);

create table ACT_RU_IDENTITYLINK (
    ID_ VARCHAR2(64),
    REV_ INTEGER,
    GROUP_ID_ VARCHAR2(255),
    TYPE_ VARCHAR2(255),
    USER_ID_ VARCHAR2(255),
    TASK_ID_ VARCHAR2(64),
    PROC_INST_ID_ VARCHAR2(64),
    PROC_DEF_ID_ VARCHAR2(64),
    primary key (ID_)
);

create table ACT_RU_VARIABLE (
    ID_ VARCHAR2(64) not null,
    REV_ INTEGER,
    TYPE_ VARCHAR2(255) not null,
    NAME_ VARCHAR2(255) not null,
    EXECUTION_ID_ VARCHAR2(64),
    PROC_INST_ID_ VARCHAR2(64),
    TASK_ID_ VARCHAR2(64),
    BYTEARRAY_ID_ VARCHAR2(64),
    DOUBLE_ DOUBLE,
    LONG_ NUMBER(19,0),
    TEXT_ VARCHAR2(2000),
    TEXT2_ VARCHAR2(2000),
    primary key (ID_)
);

create table ACT_RU_EVENT_SUBSCR (
    ID_ VARCHAR2(64) not null,
    REV_ integer,
    EVENT_TYPE_ VARCHAR2(255) not null,
    EVENT_NAME_ VARCHAR2(255),
    EXECUTION_ID_ VARCHAR2(64),
    PROC_INST_ID_ VARCHAR2(64),
    ACTIVITY_ID_ VARCHAR2(64),
    CONFIGURATION_ VARCHAR2(255),
    CREATED_ TIMESTAMP not null,
    PROC_DEF_ID_ VARCHAR2(64),
    TENANT_ID_ VARCHAR2(255) DEFAULT '',
    primary key (ID_)
);

create table ACT_EVT_LOG (
    LOG_NR_ NUMBER(19),
    TYPE_ VARCHAR2(64),
    PROC_DEF_ID_ VARCHAR2(64),
    PROC_INST_ID_ VARCHAR2(64),
    EXECUTION_ID_ VARCHAR2(64),
    TASK_ID_ VARCHAR2(64),
    TIME_STAMP_ TIMESTAMP not null,
    USER_ID_ VARCHAR2(255),
    DATA_ BLOB,
    LOCK_OWNER_ VARCHAR2(255),
    LOCK_TIME_ TIMESTAMP null,
    IS_PROCESSED_ NUMBER(3) default 0,
    primary key (LOG_NR_)
);

create sequence act_evt_log_seq;

create table ACT_PROCDEF_INFO (
	ID_ VARCHAR2(64) not null,
    PROC_DEF_ID_ VARCHAR2(64) not null,
    REV_ integer,
    INFO_JSON_ID_ VARCHAR2(64),
    primary key (ID_)
);

create index ACT_IDX_EXEC_BUSKEY on ACT_RU_EXECUTION(BUSINESS_KEY_);
create index ACT_IDX_EXEC_ROOT on ACT_RU_EXECUTION(ROOT_PROC_INST_ID_);
create index ACT_IDX_TASK_CREATE on ACT_RU_TASK(CREATE_TIME_);
create index ACT_IDX_IDENT_LNK_USER on ACT_RU_IDENTITYLINK(USER_ID_);
create index ACT_IDX_IDENT_LNK_GROUP on ACT_RU_IDENTITYLINK(GROUP_ID_);
create index ACT_IDX_EVENT_SUBSCR_CONFIG_ on ACT_RU_EVENT_SUBSCR(CONFIGURATION_);
create index ACT_IDX_VARIABLE_TASK_ID on ACT_RU_VARIABLE(TASK_ID_);

create index ACT_IDX_BYTEAR_DEPL on ACT_GE_BYTEARRAY(DEPLOYMENT_ID_);
alter table ACT_GE_BYTEARRAY
    add constraint ACT_FK_BYTEARR_DEPL
    foreign key (DEPLOYMENT_ID_) 
    references ACT_RE_DEPLOYMENT (ID_);

alter table ACT_RE_PROCDEF
    add constraint ACT_UNIQ_PROCDEF
    unique (KEY_,VERSION_, TENANT_ID_);
    
create index ACT_IDX_EXE_PROCINST on ACT_RU_EXECUTION(PROC_INST_ID_);
alter table ACT_RU_EXECUTION
    add constraint ACT_FK_EXE_PROCINST
    foreign key (PROC_INST_ID_) 
    references ACT_RU_EXECUTION (ID_);

create index ACT_IDX_EXE_PARENT on ACT_RU_EXECUTION(PARENT_ID_);
alter table ACT_RU_EXECUTION
    add constraint ACT_FK_EXE_PARENT
    foreign key (PARENT_ID_) 
    references ACT_RU_EXECUTION (ID_);
    
create index ACT_IDX_EXE_SUPER on ACT_RU_EXECUTION(SUPER_EXEC_);
alter table ACT_RU_EXECUTION
    add constraint ACT_FK_EXE_SUPER
    foreign key (SUPER_EXEC_) 
    references ACT_RU_EXECUTION (ID_);
    
create index ACT_IDX_EXE_PROCDEF on ACT_RU_EXECUTION(PROC_DEF_ID_);
alter table ACT_RU_EXECUTION
    add constraint ACT_FK_EXE_PROCDEF 
    foreign key (PROC_DEF_ID_) 
    references ACT_RE_PROCDEF (ID_);    

create index ACT_IDX_TSKASS_TASK on ACT_RU_IDENTITYLINK(TASK_ID_);
alter table ACT_RU_IDENTITYLINK
    add constraint ACT_FK_TSKASS_TASK
    foreign key (TASK_ID_) 
    references ACT_RU_TASK (ID_);

create index ACT_IDX_ATHRZ_PROCEDEF  on ACT_RU_IDENTITYLINK(PROC_DEF_ID_);
alter table ACT_RU_IDENTITYLINK
    add constraint ACT_FK_ATHRZ_PROCEDEF
    foreign key (PROC_DEF_ID_) 
    references ACT_RE_PROCDEF (ID_);
    
create index ACT_IDX_IDL_PROCINST on ACT_RU_IDENTITYLINK(PROC_INST_ID_);
alter table ACT_RU_IDENTITYLINK
    add constraint ACT_FK_IDL_PROCINST
    foreign key (PROC_INST_ID_) 
    references ACT_RU_EXECUTION (ID_);    

create index ACT_IDX_TASK_EXEC on ACT_RU_TASK(EXECUTION_ID_);
alter table ACT_RU_TASK
    add constraint ACT_FK_TASK_EXE
    foreign key (EXECUTION_ID_)
    references ACT_RU_EXECUTION (ID_);
    
create index ACT_IDX_TASK_PROCINST on ACT_RU_TASK(PROC_INST_ID_);
alter table ACT_RU_TASK
    add constraint ACT_FK_TASK_PROCINST
    foreign key (PROC_INST_ID_)
    references ACT_RU_EXECUTION (ID_);
    
create index ACT_IDX_TASK_PROCDEF on ACT_RU_TASK(PROC_DEF_ID_);
alter table ACT_RU_TASK
  add constraint ACT_FK_TASK_PROCDEF
  foreign key (PROC_DEF_ID_)
  references ACT_RE_PROCDEF (ID_);
  
create index ACT_IDX_VAR_EXE on ACT_RU_VARIABLE(EXECUTION_ID_);
alter table ACT_RU_VARIABLE 
    add constraint ACT_FK_VAR_EXE
    foreign key (EXECUTION_ID_) 
    references ACT_RU_EXECUTION (ID_);

create index ACT_IDX_VAR_PROCINST on ACT_RU_VARIABLE(PROC_INST_ID_);
alter table ACT_RU_VARIABLE
    add constraint ACT_FK_VAR_PROCINST
    foreign key (PROC_INST_ID_)
    references ACT_RU_EXECUTION(ID_);

create index ACT_IDX_VAR_BYTEARRAY on ACT_RU_VARIABLE(BYTEARRAY_ID_);
alter table ACT_RU_VARIABLE 
    add constraint ACT_FK_VAR_BYTEARRAY 
    foreign key (BYTEARRAY_ID_) 
    references ACT_GE_BYTEARRAY (ID_);
    
create index ACT_IDX_JOB_EXECUTION_ID on ACT_RU_JOB(EXECUTION_ID_);
alter table ACT_RU_JOB 
    add constraint ACT_FK_JOB_EXECUTION 
    foreign key (EXECUTION_ID_) 
    references ACT_RU_EXECUTION (ID_);

create index ACT_IDX_JOB_PROC_INST_ID on ACT_RU_JOB(PROCESS_INSTANCE_ID_);
alter table ACT_RU_JOB 
    add constraint ACT_FK_JOB_PROCESS_INSTANCE 
    foreign key (PROCESS_INSTANCE_ID_) 
    references ACT_RU_EXECUTION (ID_);

create index ACT_IDX_JOB_PROC_DEF_ID on ACT_RU_JOB(PROC_DEF_ID_);
alter table ACT_RU_JOB 
    add constraint ACT_FK_JOB_PROC_DEF
    foreign key (PROC_DEF_ID_) 
    references ACT_RE_PROCDEF (ID_);

create index ACT_IDX_JOB_EXCEPTION on ACT_RU_JOB(EXCEPTION_STACK_ID_);
alter table ACT_RU_JOB 
    add constraint ACT_FK_JOB_EXCEPTION 
    foreign key (EXCEPTION_STACK_ID_) 
    references ACT_GE_BYTEARRAY (ID_);

create index ACT_IDX_TJOB_EXECUTION_ID on ACT_RU_TIMER_JOB(EXECUTION_ID_);
alter table ACT_RU_TIMER_JOB 
    add constraint ACT_FK_TJOB_EXECUTION 
    foreign key (EXECUTION_ID_) 
    references ACT_RU_EXECUTION (ID_);

create index ACT_IDX_TJOB_PROC_INST_ID on ACT_RU_TIMER_JOB(PROCESS_INSTANCE_ID_);
alter table ACT_RU_TIMER_JOB 
    add constraint ACT_FK_TJOB_PROCESS_INSTANCE 
    foreign key (PROCESS_INSTANCE_ID_) 
    references ACT_RU_EXECUTION (ID_);

create index ACT_IDX_TJOB_PROC_DEF_ID on ACT_RU_TIMER_JOB(PROC_DEF_ID_);
alter table ACT_RU_TIMER_JOB 
    add constraint ACT_FK_TJOB_PROC_DEF
    foreign key (PROC_DEF_ID_) 
    references ACT_RE_PROCDEF (ID_);

create index ACT_IDX_TJOB_EXCEPTION on ACT_RU_TIMER_JOB(EXCEPTION_STACK_ID_);    
alter table ACT_RU_TIMER_JOB 
    add constraint ACT_FK_TJOB_EXCEPTION 
    foreign key (EXCEPTION_STACK_ID_) 
    references ACT_GE_BYTEARRAY (ID_);

create index ACT_IDX_SJOB_EXECUTION_ID on ACT_RU_SUSPENDED_JOB(EXECUTION_ID_);    
alter table ACT_RU_SUSPENDED_JOB 
    add constraint ACT_FK_SJOB_EXECUTION 
    foreign key (EXECUTION_ID_) 
    references ACT_RU_EXECUTION (ID_);
    
create index ACT_IDX_SJOB_PROC_INST_ID on ACT_RU_SUSPENDED_JOB(PROCESS_INSTANCE_ID_);    
alter table ACT_RU_SUSPENDED_JOB 
    add constraint ACT_FK_SJOB_PROCESS_INSTANCE 
    foreign key (PROCESS_INSTANCE_ID_) 
    references ACT_RU_EXECUTION (ID_);

create index ACT_IDX_SJOB_PROC_DEF_ID on ACT_RU_SUSPENDED_JOB(PROC_DEF_ID_);    
alter table ACT_RU_SUSPENDED_JOB 
    add constraint ACT_FK_SJOB_PROC_DEF
    foreign key (PROC_DEF_ID_) 
    references ACT_RE_PROCDEF (ID_);

create index ACT_IDX_SJOB_EXCEPTION on ACT_RU_SUSPENDED_JOB(EXCEPTION_STACK_ID_);    
alter table ACT_RU_SUSPENDED_JOB 
    add constraint ACT_FK_SJOB_EXCEPTION 
    foreign key (EXCEPTION_STACK_ID_) 
    references ACT_GE_BYTEARRAY (ID_);

create index ACT_IDX_DJOB_EXECUTION_ID on ACT_RU_DEADLETTER_JOB(EXECUTION_ID_);      
alter table ACT_RU_DEADLETTER_JOB 
    add constraint ACT_FK_DJOB_EXECUTION 
    foreign key (EXECUTION_ID_) 
    references ACT_RU_EXECUTION (ID_);
 
create index ACT_IDX_DJOB_PROC_INST_ID on ACT_RU_DEADLETTER_JOB(PROCESS_INSTANCE_ID_);        
alter table ACT_RU_DEADLETTER_JOB 
    add constraint ACT_FK_DJOB_PROCESS_INSTANCE 
    foreign key (PROCESS_INSTANCE_ID_) 
    references ACT_RU_EXECUTION (ID_);
    
create index ACT_IDX_DJOB_PROC_DEF_ID on ACT_RU_DEADLETTER_JOB(PROC_DEF_ID_);    
alter table ACT_RU_DEADLETTER_JOB 
    add constraint ACT_FK_DJOB_PROC_DEF
    foreign key (PROC_DEF_ID_) 
    references ACT_RE_PROCDEF (ID_);
    
create index ACT_IDX_DJOB_EXCEPTION on ACT_RU_DEADLETTER_JOB(EXCEPTION_STACK_ID_);    
alter table ACT_RU_DEADLETTER_JOB 
    add constraint ACT_FK_DJOB_EXCEPTION 
    foreign key (EXCEPTION_STACK_ID_) 
    references ACT_GE_BYTEARRAY (ID_);
    
create index ACT_IDX_EVENT_SUBSCR on ACT_RU_EVENT_SUBSCR(EXECUTION_ID_);
alter table ACT_RU_EVENT_SUBSCR
    add constraint ACT_FK_EVENT_EXEC
    foreign key (EXECUTION_ID_)
    references ACT_RU_EXECUTION(ID_);

create index ACT_IDX_MODEL_SOURCE on ACT_RE_MODEL(EDITOR_SOURCE_VALUE_ID_);
alter table ACT_RE_MODEL 
    add constraint ACT_FK_MODEL_SOURCE 
    foreign key (EDITOR_SOURCE_VALUE_ID_) 
    references ACT_GE_BYTEARRAY (ID_);

create index ACT_IDX_MODEL_SOURCE_EXTRA on ACT_RE_MODEL(EDITOR_SOURCE_EXTRA_VALUE_ID_);
alter table ACT_RE_MODEL 
    add constraint ACT_FK_MODEL_SOURCE_EXTRA 
    foreign key (EDITOR_SOURCE_EXTRA_VALUE_ID_) 
    references ACT_GE_BYTEARRAY (ID_);
    
create index ACT_IDX_MODEL_DEPLOYMENT on ACT_RE_MODEL(DEPLOYMENT_ID_);    
alter table ACT_RE_MODEL 
    add constraint ACT_FK_MODEL_DEPLOYMENT 
    foreign key (DEPLOYMENT_ID_) 
    references ACT_RE_DEPLOYMENT (ID_);        
    
create index ACT_IDX_PROCDEF_INFO_JSON on ACT_PROCDEF_INFO(INFO_JSON_ID_);
alter table ACT_PROCDEF_INFO 
    add constraint ACT_FK_INFO_JSON_BA 
    foreign key (INFO_JSON_ID_) 
    references ACT_GE_BYTEARRAY (ID_);

create index ACT_IDX_PROCDEF_INFO_PROC on ACT_PROCDEF_INFO(PROC_DEF_ID_);
alter table ACT_PROCDEF_INFO 
    add constraint ACT_FK_INFO_PROCDEF 
    foreign key (PROC_DEF_ID_) 
    references ACT_RE_PROCDEF (ID_);


