package hls.core.db.register.table

/**
 * Created by gaoyang on 2018/1/27.
 */
import com.hand.hap.liquibase.MigrationHelper

def mhi = MigrationHelper.getInstance()
dbType = mhi.dbType()
println("*********************** begin register table NEILTABLE");
databaseChangeLog(logicalFilePath: "2018-01-23-registerTable-tableName.groovy") {
    changeSet(author: "neil", id: "20180103-neilTable-demo") {

        if (mhi.isDbType('oracle')) {
            createSequence(sequenceName: 'NEILTABLE_S')
        }
        createTable(tableName: "NEILTABLE") {
            column(autoIncrement: "true", name: "NEIL_ID", type: "BIGINT", remarks: "主键") {
                constraints(nullable: "false", primaryKey: "true", primaryKeyName: "NEILTABLE_PK")
            }
            column(name: 'NEIL_FIELD', type: "VARCHAR(100)", remarks: '字段')
            column(name: "OBJECT_VERSION_NUMBER", type: "BIGINT", defaultValue: "1")
            column(name: "REQUEST_ID", type: "BIGINT", defaultValue: "-1")
            column(name: "PROGRAM_ID", type: "BIGINT", defaultValue: "-1")
            column(name: "CREATED_BY", type: "BIGINT", defaultValue: "-1")
            column(name: "CREATION_DATE", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "LAST_UPDATED_BY", type: "BIGINT", defaultValue: "-1")
            column(name: "LAST_UPDATE_DATE", type: "DATETIME", defaultValueComputed: "CURRENT_TIMESTAMP")
            column(name: "LAST_UPDATE_LOGIN", type: "BIGINT", defaultValue: "-1")
        }
    }

}
println("*********************** end register table NEILTABLE");